=== debian/changelog ===
mlt (7.34.1-0zneon+24.04+noble+release+build19) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Dec 2025 03:02:15 +0000

mlt (7.34.1-0neon) resolute; urgency=medium

  * Update to real tar as debian/watch incorrectly pointed to the tar from
    github git tag, and not the actual release tar..

 -- Rik Mills <rikmills@kde.org>  Wed, 05 Nov 2025 18:43:26 +0000

mlt (7.34.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (7.24.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 05 Nov 2025 18:05:06 +0000
