=== debian/watch ===
version=4
opts="searchmode=plain" \
https://api.github.com/repos/mltframework/mlt/releases \
https://github.com/mltframework/mlt/releases/download/v\d[\.\d]*/@PACKAGE@-@ANY_VERSION@.tar.gz
