=== debian/changelog ===
mlt (7.34.1+realtar-0ubuntu1) resolute; urgency=medium

  * Update to real tar as debian/watch incorrectly pointed to the tar from
    github git tag, and not the actual release tar..

 -- Rik Mills <rikmills@kde.org>  Wed, 05 Nov 2025 18:43:26 +0000
