=== debian/control ===
--- 
+++ 
@@ -1,56 +1,55 @@
 Source: mlt
 Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Build-Depends: chrpath,
-               cmake,
-               debhelper-compat (= 13),
-               dh-python,
-               ffmpeg,
-               frei0r-plugins-dev,
-               imagemagick,
-               ladspa-sdk,
-               libarchive-dev,
-               libavdevice-dev,
-               libavformat-dev,
-               libdv4-dev,
-               libebur128-dev (>= 1.2.0-2),
-               libexif-dev,
-               libfftw3-dev,
-               libgdk-pixbuf-2.0-dev,
-               libjack-dev,
-               libmovit-dev,
-               libopencv-dev,
-               libpango1.0-dev,
-               libqt5opengl5-dev,
-               libqt5svg5-dev,
-               libqt6core5compat6-dev,
-               libqt6opengl6-dev,
-               libqt6svg6-dev,
-               librtaudio-dev [linux-any],
-               librubberband-dev,
-               libsamplerate-dev,
-               libsdl2-dev,
-               libsox-dev (>= 14.3.0),
-               libswscale-dev,
-               libvidstab-dev,
-               libvorbis-dev,
-               libxine2-dev,
-               libxml2-dev,
-               python3-dev,
-               swig
+Build-Depends: debhelper-compat (= 13),
+ chrpath,
+ cmake,
+ dh-python,
+ ffmpeg,
+ frei0r-plugins-dev,
+ imagemagick,
+ ladspa-sdk,
+ libarchive-dev,
+ libavdevice-dev,
+ libavformat-dev,
+ libdv4-dev,
+ libebur128-dev (>= 1.2.0-2),
+ libexif-dev,
+ libfftw3-dev,
+ libgdk-pixbuf-2.0-dev,
+ libjack-dev,
+ libmovit-dev,
+ libopencv-dev,
+ libpango1.0-dev,
+ libqt5opengl5-dev,
+ libqt6opengl6-dev,
+ libqt6core5compat6-dev,
+ libqt5svg5-dev,
+ libqt6svg6-dev,
+ librtaudio-dev [linux-any],
+ librubberband-dev,
+ libsamplerate-dev,
+ libsdl2-dev,
+ libsox-dev (>= 14.3.0),
+ libswscale-dev,
+ libvidstab-dev,
+ libvorbis-dev,
+ libxine2-dev,
+ libxml2-dev,
+ python3-dev,
+ swig
 Standards-Version: 4.7.2
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://www.mltframework.org
-Vcs-Git: https://invent.kde.org/neon/backports-noble/mlt-noble.git
-Vcs-Browser: https://invent.kde.org/neon/backports-noble/mlt-noble
-Maintainer: Neon CI <neon@kde.org>
 
 Package: libmlt-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libmlt7 (= ${binary:Version}), ${misc:Depends}
+Depends: ${misc:Depends},
+ libmlt7 (= ${binary:Version})
 Description: multimedia framework (development)
  MLT is an open source multimedia framework, designed and developed for
  television broadcasting. It provides a toolkit for broadcasters, video
@@ -65,7 +64,8 @@
 Package: libmlt7
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+ ${misc:Depends}
 Recommends: libmlt-data (>= ${source:Version})
 Description: multimedia framework (runtime)
  MLT is an open source multimedia framework, designed and developed for
@@ -97,7 +97,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libmlt++7 (= ${binary:Version}), ${misc:Depends}
+Depends: libmlt++7 (= ${binary:Version}),
+ ${misc:Depends}
 Description: MLT multimedia framework C++ wrapper (development)
  MLT is an open source multimedia framework, designed and developed for
  television broadcasting. It provides a toolkit for broadcasters, video
@@ -112,7 +113,8 @@
 Package: libmlt++7
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+ ${misc:Depends}
 Description: MLT multimedia framework C++ wrapper (runtime)
  MLT is an open source multimedia framework, designed and developed for
  television broadcasting. It provides a toolkit for broadcasters, video
@@ -127,7 +129,9 @@
 Package: melt
 Section: utils
 Architecture: any
-Depends: libmlt-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
+ libmlt-data (>= ${source:Version})
 Description: command line media player and video editor
  melt was meant as a test tool for the MLT framework, but it is also a powerful
  multitrack command line oriented video editor. It could also used as an
@@ -136,7 +140,9 @@
 Package: python3-mlt
 Architecture: any
 Section: python
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
+ ${python3:Depends}
 Provides: ${python3:Provides}
 Conflicts: python-mlt
 Replaces: python-mlt
